#ifndef __GLOBAL_H__
#define __GLOBAL_H__

#define PI 3.1415926535

/* Couleurs utilises dans la fonction camera_track_color */
#define RED_COLOR 1
#define GREEN_COLOR 2   
#define BLACK_COLOR 3
        
#define ROTATION_VITESSE_NORMALE 1000 /*1800*/        /* gain proportionnel de position pour la rotation */
#define ROTATION_VITESSE_LENTE   300        
        
/* Defini dans camera.c */
void serial_port_init(void);
int serial_command_wait(void);
int serial_receive_m_command(int *x, int *y, int *confidence);
void camera_track_color(int color);
void camera_pm_mode(int mode);
void camera_led_change_mode(int mode);
void camera_reset(void);
void camera_settings(void);

/* Dfini dans telem.c */
void init_telemetre(void);
int valeur_telemetre(void); 

                                                                       
/* Etats pour l'asservissement */
#define ASSERV_BLOCK (-1)
#define ASSERV_IDLE (0)
#define ASSERV_RUNNING (1)

#endif