/******************************************************************************/
/* File Name: 2407_PM.cmd */
/* Description: Linker command file to place user code (vectors & .text) */
/* sections beginning at 0000h of external program memory (in MP mode). */
/* This file should be modified if it is desired to load code in B0 memory or */
/* if onchip SARAM is to be used. This example file is applicable for 2407A. */
/* It needs to be modified to make it suitable for other devices. */
/******************************************************************************/



MEMORY
{
PAGE 0:									/* PROGRAM MEMORY */

PM		:ORIGIN=0H    , LENGTH=08000H	/* 32K On-chip flash memory (ext RAM) */
SARAM_P	:ORIGIN=08000H, LENGTH=0800H	/* 2K SARAM in program space */
EX1_PM	:ORIGIN=08800H, LENGTH=07600H	/* External RAM */
B0_PM	:ORIGIN=0FF00h, LENGTH=0100h	/* On-chip DARAM if CNF=1, else */
										/* external */
										/* B0 = FF00 to FFFF */

PAGE 1:									/* DATA MEMORY */

REGS	:ORIGIN=0h , 	LENGTH=60h 		/* Memory mapped regs & reservd address*/
BLK_B2	:ORIGIN=60h , 	LENGTH=20h 		/* Block B2 */
/*BLK_B0	:ORIGIN=200h , 	LENGTH=100h */	/* Block B0, On-chip DARAM if CNF=0 */
BLK_B1	:ORIGIN=300h , 	LENGTH=100h 	/* Block B1 */
SARAM_D	:ORIGIN=0800H , LENGTH=0800H 	/* 2K SARAM in data space */
PERIPH	:ORIGIN=7000h , LENGTH=1000h 	/* Peripheral register space */
EX2_DM	:ORIGIN=8000h , LENGTH=8000h 	/* External data RAM */

PAGE 2: 								/* I/O MEMORY */

IO_EX	:ORIGIN=0000h , LENGTH=0FFF0h 	/* External I/O mapped peripherals */
IO_IN	:ORIGIN=0FFF0h, LENGTH=0Fh 		/* On-chip I/O mapped peripherals */
}


SECTIONS
{
	vectors	:{}	> PM PAGE 0
	.text	:{}	> PM PAGE 0
	.bss	:{}	> EX2_DM PAGE 1
	.data	:{}	> PM PAGE 0
	.const	:{}	> PM PAGE 0
}
