#include "x24x_inc.h"
#include "global.h"

void init_telemetre(void)
{
  SCSR1 = SCSR1 | 0x80;
  
  /* Reset convertisseur */
  ADCTRL1 = 0x4000;
  
  /* Mise en marche */
  ADCTRL1 = 0x3000;
  
  /* Nombre max de conversion analog => numerique */
  MAXCONV = 0x7;
  
  /* Choix de la voie de conversion */
  CHSELSEQ1 = 0x1;
 
  ADCTRL2 = 0x4000; 
}
 
int valeur_telemetre(void)
{ 
  int val;
  
  /* Demande de conversion */
  ADCTRL2 = 0x2000;
  
  /* Attente de la conversion */
  while(ADCTRL2 & 0x1000);
  
  /* Rcupration du rsultat */
  val = RESULT0;
  
  /* La valeur est stocke dans les 10 bits de poids fort */
  val = val >> 6;
  
  return val;
}