#ifndef __x24x_inc_h__
#define __x24x_inc_h__

#define	IMR	*(volatile unsigned int *)0x4
#define	IFR	*(volatile unsigned int *)0x6

#define	SCSR1	*(volatile unsigned int *)0x7018


/* SCI : Serial Communication interface */

#define	SCICCR	*(volatile unsigned int *)0x7050
#define	SCICTL1	*(volatile unsigned int *)0x7051
#define	SCIHBAUD	*(volatile unsigned int *)0x7052
#define	SCILBAUD	*(volatile unsigned int *)0x7053
#define	SCICTL2	*(volatile unsigned int *)0x7054
#define	SCIRXST	*(volatile unsigned int *)0x7055
#define	SCIRXEMU	*(volatile unsigned int *)0x7056
#define	SCIRXBUF	*(volatile unsigned int *)0x7057
#define	SCITXBUF	*(volatile unsigned int *)0x7059
#define	SCIPRI	*(volatile unsigned int *)0x705F



/* E/S numeriques */

#define	MCRA	*(volatile unsigned int *)0x7090
#define	MCRB	*(volatile unsigned int *)0x7092
#define	MCRC	*(volatile unsigned int *)0x7094
#define	PADATDIR *(volatile unsigned int *)0x7098
#define	PBDATDIR *(volatile unsigned int *)0x709A
#define	PCDATDIR *(volatile unsigned int *)0x709C
#define	PDDATDIR *(volatile unsigned int *)0x709E
#define	PEDATDIR *(volatile unsigned int *)0x7095
#define	PFDATDIR *(volatile unsigned int *)0x7096

/* Convertisseur A/N */

#define	ADCTRL1	*(volatile unsigned int *)0x70A0
#define	ADCTRL2	*(volatile unsigned int *)0x70A1
#define	MAXCONV	*(volatile unsigned int *)0x70A2
#define	CHSELSEQ1	*(volatile unsigned int *)0x70A3
#define	CHSELSEQ2	*(volatile unsigned int *)0x70A4
#define	CHSELSEQ3	*(volatile unsigned int *)0x70A5
#define	CHSELSEQ4	*(volatile unsigned int *)0x70A6
#define	AUTO_SEQ_SR	*(volatile unsigned int *)0x70A7
#define	RESULT0	*(volatile unsigned int *)0x70A8  
#define	RESULT1	*(volatile unsigned int *)0x70A9  
#define	RESULT2	*(volatile unsigned int *)0x70AA  
#define	RESULT3	*(volatile unsigned int *)0x70AB
#define	RESULT4	*(volatile unsigned int *)0x70AC
#define	RESULT5	*(volatile unsigned int *)0x70AD
#define	RESULT6	*(volatile unsigned int *)0x70AE
#define	RESULT7	*(volatile unsigned int *)0x70AF
#define	RESULT8	*(volatile unsigned int *)0x70B0
#define	RESULT9	*(volatile unsigned int *)0x70B1
#define	RESULT10	*(volatile unsigned int *)0x70B2
#define	RESULT11	*(volatile unsigned int *)0x70B3
#define	RESULT12	*(volatile unsigned int *)0x70B4
#define	RESULT13	*(volatile unsigned int *)0x70B5
#define	RESULT14	*(volatile unsigned int *)0x70B6
#define	RESULT15	*(volatile unsigned int *)0x70B7
#define	CALIBRATION	*(volatile unsigned int *)0x70B8


/* EVA */

#define	GPTCONA	*(volatile unsigned int *)0x7400
#define	T1CNT	*(volatile unsigned int *)0x7401
#define	T1CMPR	*(volatile unsigned int *)0x7402
#define	T1PR	*(volatile unsigned int *)0x7403
#define	T1CON	*(volatile unsigned int *)0x7404
#define	T2CNT	*(volatile unsigned int *)0x7405
#define	T2CMPR	*(volatile unsigned int *)0x7406
#define	T2PR	*(volatile unsigned int *)0x7407
#define	T2CON	*(volatile unsigned int *)0x7408

#define	COMCONA	*(volatile unsigned int *)0x7411
#define	ACTRA	*(volatile unsigned int *)0x7413
#define	DBTCONA	*(volatile unsigned int *)0x7415
#define	CMPR1	*(volatile unsigned int *)0x7417
#define	CMPR2	*(volatile unsigned int *)0x7418
#define	CMPR3	*(volatile unsigned int *)0x7419

#define	CAPCONA	*(volatile unsigned int *)0x7420
#define	CAPFIFOA	*(volatile unsigned int *)0x7422
#define	CAP1FIFO	*(volatile unsigned int *)0x7423
#define	CAP2FIFO	*(volatile unsigned int *)0x7424
#define	CAP3FIFO	*(volatile unsigned int *)0x7425
#define	CAP1FBOT	*(volatile unsigned int *)0x7427
#define	CAP2FBOT	*(volatile unsigned int *)0x7428
#define	CAP3FBOT	*(volatile unsigned int *)0x7429

#define	EVAIMRA	*(volatile unsigned int *)0x742C
#define	EVAIMRB	*(volatile unsigned int *)0x742D
#define	EVAIMRC	*(volatile unsigned int *)0x742E
#define	EVAIFRA	*(volatile unsigned int *)0x742F
#define	EVAIFRB	*(volatile unsigned int *)0x7430
#define	EVAIFRC	*(volatile unsigned int *)0x7431

/* EVB */

#define	GPTCONB	*(volatile unsigned int *)0x7500
#define	T3CNT	*(volatile unsigned int *)0x7501
#define	T3CMPR	*(volatile unsigned int *)0x7502
#define	T3PR	*(volatile unsigned int *)0x7503
#define	T3CON	*(volatile unsigned int *)0x7504
#define	T4CNT	*(volatile unsigned int *)0x7505
#define	T4CMPR	*(volatile unsigned int *)0x7506
#define	T4PR	*(volatile unsigned int *)0x7507
#define	T4CON	*(volatile unsigned int *)0x7508

#define	COMCONB	*(volatile unsigned int *)0x7511
#define	ACTRB	*(volatile unsigned int *)0x7513
#define	DBTCONB	*(volatile unsigned int *)0x7515
#define	CMPR4	*(volatile unsigned int *)0x7517
#define	CMPR5	*(volatile unsigned int *)0x7518
#define	CMPR6	*(volatile unsigned int *)0x7519

#define	CAPCONB	*(volatile unsigned int *)0x7520
#define	CAPFIFOB	*(volatile unsigned int *)0x7522
#define	CAP4FIFO	*(volatile unsigned int *)0x7523
#define	CAP5FIFO	*(volatile unsigned int *)0x7524
#define	CAP6FIFO	*(volatile unsigned int *)0x7525
#define	CAP4FBOT	*(volatile unsigned int *)0x7527
#define	CAP5FBOT	*(volatile unsigned int *)0x7528
#define	CAP6FBOT	*(volatile unsigned int *)0x7529

#define	EVBIMRA	*(volatile unsigned int *)0x752C
#define	EVBIMRB	*(volatile unsigned int *)0x752D
#define	EVBIMRC	*(volatile unsigned int *)0x752E
#define	EVBIFRA	*(volatile unsigned int *)0x752F
#define	EVBIFRB	*(volatile unsigned int *)0x7530
#define	EVBIFRC	*(volatile unsigned int *)0x7531

/* module CAN */

#define CANMDER *( volatile unsigned int *) 0x7100
#define CANTCR *( volatile unsigned int *) 0x7101
#define CANRCR *( volatile unsigned int *) 0x7102
#define CANMCR *( volatile unsigned int *) 0x7103
#define CANBCR2 *( volatile unsigned int *) 0x7104
#define CANBCR1 *( volatile unsigned int *) 0x7105
#define CANESR *( volatile unsigned int *) 0x7106
#define CANGSR *( volatile unsigned int *) 0x7107
#define CANCEC *( volatile unsigned int *) 0x7108
#define CANIFR *( volatile unsigned int *) 0x7109
#define CANIMR *( volatile unsigned int *) 0x710A

#define CANLAM0H *( volatile unsigned int *) 0x710B
#define CANLAMOL *( volatile unsigned int *) 0x710C
#define CANLAM1H *( volatile unsigned int *) 0x710D
#define CANLAM1L *( volatile unsigned int *) 0x710E

#define CANMSGIDOL *( volatile unsigned int *) 0x7200
#define CANMSGID0H *( volatile unsigned int *) 0x7201
#define CANMSGCTRL0 *( volatile unsigned int *) 0x7202
#define CANMBX0A *( volatile unsigned int *) 0x7204
#define CANMBX0B *( volatile unsigned int *) 0x7205
#define CANMBX0C *( volatile unsigned int *) 0x7206
#define CANMBX0D *( volatile unsigned int *) 0x7207

#define CANMSGID1L *( volatile unsigned int *) 0x7208
#define CANMSGID1H *( volatile unsigned int *) 0x7209
#define CANMSGCTRL1 *( volatile unsigned int *) 0x720A
#define CANMBX1A *( volatile unsigned int *) 0x720C
#define CANMBX1B *( volatile unsigned int *) 0x720D
#define CANMBX1C *( volatile unsigned int *) 0x720E
#define CANMBX1D *( volatile unsigned int *) 0x720F

#define CANMSGID2L *( volatile unsigned int *) 0x7210
#define CANMSGID2H *( volatile unsigned int *) x7211
#define CANMSGCTRL2 *( volatile unsigned int *) 0x7212
#define CANMBX2A *( volatile unsigned int *) 0x7214
#define CANMBX2B *( volatile unsigned int *) 0x7215
#define CANMBX2C *( volatile unsigned int *) 0x7216
#define CANMBX2D *( volatile unsigned int *) 0x7217

#define CANMSGID3L *( volatile unsigned int *) 0x7218
#define CANMSGID3H *( volatile unsigned int *) 0x7219
#define CANMSGCTRL3 *( volatile unsigned int *) 0x721A
#define CANMBX3A *( volatile unsigned int *) 0x721C
#define CANMBX3B *( volatile unsigned int *) 0x721D
#define CANMBX3C *( volatile unsigned int *) 0x721E
#define CANMBX3D *( volatile unsigned int *) 0x721F

#define CANMSGID4L *( volatile unsigned int *) 0x7220
#define CANMSGID4H *( volatile unsigned int *) 0x7221
#define CANMSGCTRL4 *( volatile unsigned int *) 0x7222
#define CANMBX4A *( volatile unsigned int *) 0x7224
#define CANMBX4B *( volatile unsigned int *) 0x7225
#define CANMBX4C *( volatile unsigned int *) 0x7226
#define CANMBX4D *( volatile unsigned int *) 0x7227

#define CANMSGID5L *( volatile unsigned int *) 0x7228
#define CANMSGID5H *( volatile unsigned int *)0x7229
#define CANMSGCTRL5 *( volatile unsigned int *) 0x722A
#define CANMBX5A *( volatile unsigned int *) 0x722C
#define CANMBX5B *( volatile unsigned int *) 0x722D
#define CANMBX5C *( volatile unsigned int *) 0x722E
#define CANMBX5D *( volatile unsigned int *) 0x722F


#endif
